From 3bb42549f67762868be2dbd14cf340bdd02e9cae Mon Sep 17 00:00:00 2001
From: gh0stshell <gh0stshell@users.noreply.github.com>
Date: Sat, 5 Oct 2019 22:25:10 -0700
Subject: [PATCH] BMAPTOOL Check #2 update

switched second check with faster builtin tool, tested fix
---
 scripts/create_sibling.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/scripts/create_sibling.sh b/scripts/create_sibling.sh
index 02537cd..1e07a12 100755
--- a/scripts/create_sibling.sh
+++ b/scripts/create_sibling.sh
@@ -94,7 +94,7 @@ function provide_raspbian() {
 function setup_raspbian(){
   # Detect the ability to create sparse files
   if [ "${OPT_SPARSE}" -eq 0 ]; then
-    if [ which bmaptool -eq 0 ]; then
+    if ! type "bmaptool" > /dev/null; then
       echo "[!] bmaptool not available, not creating a sparse image"
       
     else